Plugin Help MassiveCore [2.11.0] Not Working

Discussion in 'Plugin Help/Development/Requests' started by Neonz27, Jul 25, 2017.

Thread Status:
Not open for further replies.
  1. Offline

    Neonz27

    So I'm in the early stages of working on my factions server which is running CraftBukkit for Minecraft version 1.7.10 and I keep running into this error with MassiveCore which seems to have something to do with a function (method) not existing in the Apache library, but honestly I have no clue what to do about it. (P.S. ignore the ElixiaPlugin that is a custom plugin I'm developing for this server and would have no interaction with MassiveCore)

    Minecraft: 1.7.10
    Bukkit: CraftBukkit
    MassiveCore: 2.11.0
    Factions: 2.11.0

    Most Recent Log:
    Code:
    C:\Users\Joseph\Desktop\Server>java -Xmx1024M -jar craftbukkit.jar -o true
    Loading libraries, please wait...
    [07:40:47 INFO]: Starting minecraft server version 1.7.10
    [07:40:47 INFO]: Loading properties
    [07:40:47 INFO]: Default game type: SURVIVAL
    [07:40:47 INFO]: Generating keypair
    [07:40:47 INFO]: Starting Minecraft server on 10.0.0.22:25565
    [07:40:47 INFO]: This server is running CraftBukkit version git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks (MC: 1.7.10) (Implementing API version 1.7.10-R0.1-SNAPSHOT)
    [07:40:47 ERROR]: ebean.properties not found
    [07:40:47 WARN]: No Entities found in ClassPath using ClassPathReader [com.avaje.ebeaninternal.server.util.DefaultClassPathReader@44b5b22] Classpath Searched[[file:/C:/Users/Joseph/Desktop/Server/craftbukkit.jar]]
    [07:40:48 INFO]: Classpath search hits in jars[] pkgs[]  searchTime[3]
    [07:40:48 INFO]: DataSourcePool [ElixiaPlugin] autoCommit[false] transIsolation[SERIALIZABLE] min[2] max[20]
    [07:40:48 INFO]: SubClassFactory parent ClassLoader [org.bukkit.plugin.java.PluginClassLoader]
    [07:40:48 WARN]: Exception in thread "Thread-7"
    [07:40:48 WARN]: org.bukkit.craftbukkit.libs.com.google.gson.JsonSyntaxException: java.lang.IllegalStateException: Expected BEGIN_OBJECT but was STRING at line 1 column 7
    [07:40:48 WARN]:        at org.bukkit.craftbukkit.libs.com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$Adapter.read(ReflectiveTypeAdapterFactory.java:180)
    [07:40:48 WARN]:        at org.bukkit.craftbukkit.libs.com.google.gson.Gson.fromJson(Gson.java:755)
    [07:40:48 WARN]:        at org.bukkit.craftbukkit.libs.com.google.gson.Gson.fromJson(Gson.java:694)
    [07:40:48 WARN]:        at org.bukkit.craftbukkit.v1_7_R4.updater.BukkitDLUpdaterService.fetchArtifact(BukkitDLUpdaterService.java:53)
    [07:40:48 WARN]:        at org.bukkit.craftbukkit.v1_7_R4.updater.BukkitDLUpdaterService.getArtifact(BukkitDLUpdaterService.java:30)
    [07:40:48 WARN]:        at org.bukkit.craftbukkit.v1_7_R4.updater.AutoUpdater$1.run(AutoUpdater.java:77)
    [07:40:48 WARN]: Caused by: java.lang.IllegalStateException: Expected BEGIN_OBJECT but was STRING at line 1 column 7
    [07:40:48 WARN]:        at org.bukkit.craftbukkit.libs.com.google.gson.stream.JsonReader.expect(JsonReader.java:339)
    [07:40:48 WARN]:        at org.bukkit.craftbukkit.libs.com.google.gson.stream.JsonReader.beginObject(JsonReader.java:322)
    [07:40:48 WARN]:        at org.bukkit.craftbukkit.libs.com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$Adapter.read(ReflectiveTypeAdapterFactory.java:168)
    [07:40:48 WARN]:        ... 5 more
    [07:40:48 INFO]: Entities enhanced[0] subclassed[0]
    [07:40:48 INFO]: [ElixiaPlugin] Loading ElixiaPlugin v0.1.0
    [07:40:48 INFO]: [MassiveCore] Loading MassiveCore v2.11.0
    [07:40:48 INFO]: [Factions] Loading Factions v2.11.0
    [07:40:48 INFO]: [MassiveCore] Enabling MassiveCore v2.11.0
    [07:40:48 INFO]: [MassiveCore 2.11.0] === ENABLE START ===
    [07:40:48 INFO]: [MassiveCore 2.11.0] §eLoading Cachefile datas...
    [07:40:48 INFO]: [MassiveCore 2.11.0] §eLoading Onlineplayer datas...
    [07:40:48 INFO]: [MassiveCore 2.11.0] §eLoading Registry datas...
    [07:40:48 INFO]: [MassiveCore 2.11.0] §eSaving Cachefile...
    [07:40:48 INFO]: [MassiveCore 2.11.0] §eSetup of IdUtil took §d16§ems.
    [07:40:48 ERROR]: Error occurred while enabling MassiveCore v2.11.0 (Is it up to date?)
    java.lang.NoSuchMethodError: org.apache.commons.lang.StringUtils.getCommonPrefix([Ljava/lang/String;)Ljava/lang/String;
            at com.massivecraft.massivecore.store.Coll.calculatePlugin(Coll.java:813) ~[?:?]
            at com.massivecraft.massivecore.store.Coll.<init>(Coll.java:740) ~[?:?]
            at com.massivecraft.massivecore.store.Coll.<init>(Coll.java:796) ~[?:?]
            at com.massivecraft.massivecore.AspectColl.<init>(AspectColl.java:8) ~[?:?]
            at com.massivecraft.massivecore.AspectColl.<clinit>(AspectColl.java:14) ~[?:?]
            at com.massivecraft.massivecore.command.type.store.TypeAspect.<init>(TypeAspect.java:18) ~[?:?]
            at com.massivecraft.massivecore.command.type.store.TypeAspect.<clinit>(TypeAspect.java:14) ~[?:?]
            at com.massivecraft.massivecore.command.type.RegistryType.registerAll(RegistryType.java:376) ~[?:?]
            at com.massivecraft.massivecore.MassiveCore.onEnableInner(MassiveCore.java:231) ~[?:?]
            at com.massivecraft.massivecore.MassivePlugin.onEnable(MassivePlugin.java:82) ~[?:?]
            at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:316) ~[craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
            at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:324) [craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
            at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:404) [craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
            at org.bukkit.craftbukkit.v1_7_R4.CraftServer.loadPlugin(CraftServer.java:455) [craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
            at org.bukkit.craftbukkit.v1_7_R4.CraftServer.enablePlugins(CraftServer.java:389) [craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
            at org.bukkit.craftbukkit.v1_7_R4.CraftServer.<init>(CraftServer.java:327) [craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
            at net.minecraft.server.v1_7_R4.PlayerList.<init>(PlayerList.java:68) [craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
            at net.minecraft.server.v1_7_R4.DedicatedPlayerList.<init>(SourceFile:14) [craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
            at net.minecraft.server.v1_7_R4.DedicatedServer.init(DedicatedServer.java:133) [craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
            at net.minecraft.server.v1_7_R4.MinecraftServer.run(MinecraftServer.java:436) [craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
            at net.minecraft.server.v1_7_R4.ThreadServerApplication.run(SourceFile:628) [craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
    [07:40:48 INFO]: Preparing level "world"
    [07:40:48 INFO]: Preparing start region for level 0 (Seed: -1264884675)
    [07:40:49 INFO]: Preparing start region for level 1 (Seed: 3891928965184804714)
    [07:40:49 INFO]: Preparing start region for level 2 (Seed: 3891928965184804714)
    [07:40:49 INFO]: [ElixiaPlugin] Enabling ElixiaPlugin v0.1.0
    [07:40:49 INFO]: [ElixiaPlugin] Enabled!
    [07:40:49 INFO]: [Factions] Enabling Factions v2.11.0
    [07:40:49 INFO]: [Factions 2.11.0] === ENABLE START ===
    [07:40:49 ERROR]: Error occurred while enabling Factions v2.11.0 (Is it up to date?)
    java.lang.NullPointerException
            at com.massivecraft.massivecore.MassivePlugin.checkVersionSynchronization(MassivePlugin.java:117) ~[?:?]
            at com.massivecraft.massivecore.MassivePlugin.onEnablePre(MassivePlugin.java:96) ~[?:?]
            at com.massivecraft.massivecore.MassivePlugin.onEnable(MassivePlugin.java:81) ~[?:?]
            at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:316) ~[craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
            at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:324) [craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
            at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:404) [craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
            at org.bukkit.craftbukkit.v1_7_R4.CraftServer.loadPlugin(CraftServer.java:455) [craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
            at org.bukkit.craftbukkit.v1_7_R4.CraftServer.enablePlugins(CraftServer.java:389) [craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
            at net.minecraft.server.v1_7_R4.MinecraftServer.n(MinecraftServer.java:352) [craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
            at net.minecraft.server.v1_7_R4.MinecraftServer.g(MinecraftServer.java:326) [craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
            at net.minecraft.server.v1_7_R4.MinecraftServer.a(MinecraftServer.java:282) [craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
            at net.minecraft.server.v1_7_R4.DedicatedServer.init(DedicatedServer.java:189) [craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
            at net.minecraft.server.v1_7_R4.MinecraftServer.run(MinecraftServer.java:436) [craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
            at net.minecraft.server.v1_7_R4.ThreadServerApplication.run(SourceFile:628) [craftbukkit.jar:git-Bukkit-1.7.9-R0.2-20-g0b2ed13-b3108jnks]
    [07:40:49 INFO]: Server permissions file permissions.yml is empty, ignoring it
    [07:40:49 INFO]: Done (1.378s)! For help, type "help" or "?"
    [07:40:49 INFO]: Starting remote control listener
    [07:40:49 INFO]: RCON running on 10.0.0.22:25575
     
  2. Offline

    Machine Maker

    @Neonz27
    1. Why are you still on minecraft version 1.7.10? There is no reason to not upgrade.

    2. Are you sure you are using the correct version of MassiveCore for minecraft 1.7.10? Its throwing a NoSuchMethodException which usually happens if something is out of date.

    3. The error you are getting from Factions is most likely cause because MassiveCore didn't load correctly.
     
  3. Offline

    Neonz27

    @X1machinemaker1X 1. I'm using it because I plan on running some 1.7.10 mods and because I'm not a fan of the newer updates. 2. I am sure that all the versions are correct, I have checked 3 times in case. 3. I agree with you on the fact the error is because of MassiveCore.
     
  4. Online

    timtower Administrator Administrator Moderator

    Locked
    Modded servers are not supported by Bukkit.
     
Thread Status:
Not open for further replies.

Share This Page